## dask.distributed 2022.02.0+ds.1

=== debian/changelog ===
dask.distributed (2022.02.0+ds.1-2) unstable; urgency=medium

  * skip test that fails on 32bit

 -- Diane Trout <diane@ghic.org>  Tue, 23 Aug 2022 17:06:52 -0700

dask.distributed (2022.02.0+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * Add python-pandas-doc to Build-Depends to build documentation
  * Remove pass-host-to-local-cluster.patch applied upstream
  * Disable pytest-asyncio-0.14.patch, set-client-asyncronous-earlier.patch
    seem to be unneeded.
  * dask.distributed should be more closely tied to the dask version.
  * Add test_spillbuffer_remove_sizetest.patch to skip a failing upstream
    removed test
  * Skip two tests that were failing and removed upstream.
  * Skip block of tests that fail in network limited builder
  * Copy over some updated pytest settings from upstream's CI configuration

 -- Diane Trout <diane@ghic.org>  Tue, 23 Aug 2022 15:13:27 -0700

=== debian/control ===
Source: dask.distributed
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-click (>= 6.6),
               python3-cloudpickle (>= 1.5.0),
               python3-cryptography <!nocheck>,
               python3-dask (>= 2022.02.0),
               python3-doc <!nodoc>,
               python3-locket,
               python3-msgpack,
               python3-numpy <!nocheck>,
               python-numpy-doc <!nodoc>,
               python3-numpydoc,
               python3-pandas <!nocheck>,
               python-pandas-doc <!nodoc>,
               python3-psutil,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytest-timeout,
               python3-setuptools,
               python3-six,
               python3-sortedcollections,
               python3-sphinx,
               python3-sphinx-click,
               python3-dask-sphinx-theme <!nodoc>,
               python3-tblib,
               python3-toolz (>= 0.8.2),
               python3-tornado (>= 5),
               python3-yaml,
               python3-zict (>= 0.1.3),
               uglifyjs,
Standards-Version: 4.6.0
Homepage: https://distributed.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed
Rules-Requires-Root: no

Package: python3-distributed
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pandas, python3-yaml
Description: Dask Distributed computing for Python 3
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the Python 3 version

Package: python-distributed-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Dask Distributed computing documentation
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the documentation

=== debian/rules ===
#!/usr/bin/make -f


SKIP=test_upload_file_egg \
     or test_web_preload \
     or test_dont_overlap_communications_to_same_worker \
     or test_share_communication \
     or test_robust_to_bad_sizeof_estimates \
     or test_broken_worker_during_computation \
     or test_profile_server \
     or test_feed_large_bytestring \
     or test_steal_expensive_data_slow_computation \
     or test_value_raises_during_spilling \
     or test_fail_write_to_disk \

# these failed when building, perhaps due to network issues?
# dont fail when run outside of the builder
SKIP+=or test_shutdown_localcluster \
      or test_nanny_closed_by_keyboard_interrupt \
      or test_preload_import_time \
      or test_tls_scheduler \
      or test_plugin_exception \
      or test_plugin_multiple_exceptions \
      or test_plugin_internal_exception \
      or test_interface_async \
      or test_host_uses_scheduler_protocol \
      or test_worker_listens_on_same_interface_by_default \
      or test_no_dangling_asyncio_tasks \

# this test fails on 32bit
SKIP+=or test_ensure_spilled_immediately \


export PYBUILD_NAME=distributed
export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
  --ignore=distributed/deploy/utils_test.py \
  --ignore=distributed/utils_test.py \
  --ignore=continuous_integration \
  --ignore=docs \
  --ignore=.github \
  --timeout-method=signal \
  --timeout=300 \
  -m "not (avoid_travis or isinstalled or slow or flaky)" -k "not ( $(SKIP) )"

export NEEDED_JS=distributed/http/static/js/anime.js \
                 distributed/http/static/js/reconnecting-websocket.js
DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	rm -f distributed/comm/tests/__init__.py
	set -e; \
	for p in ${NEEDED_JS}; do \
	    uglifyjs -o $$p debian/missing-sources/$$p ; \
	done
	chmod a-x distributed/tests/test_utils_test.py
	dh_auto_build
#	ln -s /usr/share/javascript/mathjax docs/source/_static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html # HTML generator
endif
	dh_fixperms

override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_install:
	dh_install
	dh_installchangelogs docs/source/changelog.rst

override_dh_auto_install:
	dh_auto_install
	dh_link
	find debian/ -name *.ico -exec chmod a-x {} \;
	rm -rf debian/python3-distributed/usr/lib/python3*/dist-packages/dask-worker-space

override_dh_auto_clean:
	touch distributed/comm/tests/__init__.py
	dh_auto_clean
	-rm $(NEEDED_JS)
	-chmod 755 distributed/tests/test_utils_test.py

=== debian/tests/control ===
Test-Command: set -e
 ; export LC_ALL=C.UTF-8
 ; export LANG=C.UTF-8
 ; export PYTEST_OPTIONS="--verbose -r s --timeout-method=thread --timeout=300 --durations=20"
 ; if [ -z "$AUTOPKGTEST_NORMAL_USER" ]; then export AUTOPKGTEST_NORMAL_USER=nobody ; fi
 ; cp setup.cfg conftest.py $AUTOPKGTEST_TMP
 ; cp distributed/tests/testegg-1.0.0-py3.4.egg $AUTOPKGTEST_TMP
 ; chown $AUTOPKGTEST_NORMAL_USER $AUTOPKGTEST_TMP
 ; cp -r distributed/tests /usr/lib/python3/dist-packages/distributed/
 ; SKIP_TESTS="test_gather_failing_cnn_error or test_value_raises_during_spilling or test_fail_write_to_disk"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ;   echo "Testing with $py:"
 ;   echo "Using user: $AUTOPKGTEST_NORMAL_USER"
 ;   runuser -u $AUTOPKGTEST_NORMAL_USER -- $py -m pytest -m "not (avoid_travis or slow or flaky)" -k "not ( $SKIP_TEST )" $PYTEST_OPTIONS --pyargs distributed  2>&1 || true
 ;   ERR=$?
 ;   echo Error code $ERR
 ;   if [ -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/ -a \! -e $AUTOPKGTEST_TMP/.pytest_cache/v/cache/lastfailed ]
 ;   then echo Tests passed; true
 ;   else echo Tests failed; false
 ;   fi
 ; done
 ; rm -rf /usr/lib/python3/dist-packages/distributed/tests
Restrictions: needs-internet, needs-root
Depends: @,
 python3-cryptography,
 python3-dill,
 python3-h5py,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-keras,
 python3-lz4,
 python3-mock,
 python3-netcdf4,
 python3-pandas,
 python3-paramiko,
 python3-pytest,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-sklearn,
 python3-sparse,
 python3-tblib,

## dask.distributed 2022.12.1%2Bds.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -j4
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/distributed.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/distributed.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/distributed"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/distributed"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
dask.distributed (2022.12.1+ds.1-3) unstable; urgency=medium

  * Keep working on making tests less flaky
  * rename skipped mark in d/rules from avoid_travis to avoid_ci
  * skip the same tests being skipped in d/rules
    - running the daemons isn't working reliably in our test servers.
  * The dask.distributed tests fail frequently enough that we shouldn't
    trust them.
    - mark the autopkgtests as flaky.

 -- Diane Trout <diane@ghic.org>  Thu, 09 Feb 2023 16:36:47 -0800

dask.distributed (2022.12.1+ds.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Versioned Depends python3-dask (>= 2022.12.1) to prevent debci test
    against old version
  * Standards-Version: 4.6.2
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Add debian/salsa-ci.yml

  [ Rebecca N. Palmer ]
  * change timeouts to reduce random failures.
  * mark an intermittent failure as flaky.
  * don't stop the entire run if one test times out.
  * Remove stray files.
  * Run autopkgtest as non-root.
  * Retry flaky tests (like upstream) instead of skipping them.
    
  [ Diane Trout ]
  * Disable ivp6 tests if the autopkgtest runners lack ipv6 connectivity.
    - Add autopkgtest dependency iputils-ping for ipv6 testing
  * Add skip-32bit-incompatible-test.patch to skip tests that fail on 32bit
    They seemed to be requesting large virtual memory regions.
    - Also remove a 32bit test skip from d/rules
  * Add python3-matplotlib to autopkgtest environment to enable a few tests

 -- Diane Trout <diane@ghic.org>  Wed, 08 Feb 2023 16:32:04 -0800

dask.distributed (2022.12.1+ds.1-1) unstable; urgency=medium

  * New upsream release. (Closes: #1029232)
  * Remove the following patches, resolved upstream
    - python-3.10-loop.patch
    - test_spillbuffer_remove_sizetest.patch
    - python3.11.patch
    - set-client-asynchronous-earlier.patch
  * Install tests to simplify running autopkgtests
  * add add-test-marks.patch to define some pytest test marks
  * add skip-pyarrow-tests.path as we don't have that dependency
    - consider reviewing this patch and focusing on the specific
      modules that are importing pyarrow.
  * Refresh patches
  * Add python3-jupyter-server to Build-Depends for tests
  * Add python3-aiohttp dependency to autopkgtests
  * Remove python3-keras autopkgtest dependency, it depends
    on an unmaintained package theano which breaks during the run.
  * Move autopkgtest script to it's own file run-tests
  * Remove python-numpy-doc dependency since it's not available.
    (closes: #1028691)
  * Update list of tests that don't run correctly during build
  * attempt to implement nocheck DEB_BUILD_OPTION in d/rules
  * adjust d/rules to prevent __pycache__ directory from being shipped in
    python-distributed-doc

 -- Diane Trout <diane@ghic.org>  Sat, 21 Jan 2023 08:52:22 -0800

dask.distributed (2022.02.0+ds.1-3) unstable; urgency=high

  * Team Upload.
  * Cherry-pick and tweak upstream patch to fix FTBFS
    with py3.11 (Closes: #1026590)
  * Remove python3-sparse from test deps

 -- Nilesh Patra <nilesh@debian.org>  Thu, 05 Jan 2023 16:48:14 +0530

## dask.distributed 2022.12.1+ds.1

=== requirements.txt ===
click >= 7.0
cloudpickle >= 1.5.0
dask == 2022.12.1
jinja2
locket >= 1.0.0
msgpack >= 0.6.0
packaging >= 20.0
psutil >= 5.0
sortedcontainers !=2.0.0, !=2.0.1
tblib >= 1.6.0
toolz >= 0.10.0
tornado >= 6.0.3
urllib3
zict >= 0.1.3
pyyaml

=== docs/requirements.txt ===
numpydoc
tornado
toolz
cloudpickle
git+https://github.com/dask/dask
sphinx
dask-sphinx-theme>=3.0.0
sphinx-click

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,19 @@
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
                python3-cryptography <!nocheck>,
-               python3-dask (>= 2022.02.0),
+               python3-dask (>= 2022.12.1),
                python3-doc <!nodoc>,
+               python3-jupyter-server <!nocheck>,
                python3-locket,
                python3-msgpack,
                python3-numpy <!nocheck>,
-               python-numpy-doc <!nodoc>,
                python3-numpydoc,
                python3-pandas <!nocheck>,
                python-pandas-doc <!nodoc>,
                python3-psutil,
                python3-pytest,
                python3-pytest-asyncio,
+               python3-pytest-rerunfailures <!nocheck>,
                python3-pytest-timeout,
                python3-setuptools,
                python3-six,
@@ -34,7 +35,7 @@
                python3-yaml,
                python3-zict (>= 0.1.3),
                uglifyjs,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://distributed.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed
@@ -42,7 +43,9 @@
 
 Package: python3-distributed
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-dask (>= 2022.12.1)
 Recommends: python3-pandas, python3-yaml
 Description: Dask Distributed computing for Python 3
  Dask.distributed is a lightweight library for distributed computing in

=== debian/rules ===
#!/usr/bin/make -f

SKIP=test_reconnect \
     or test_jupyter_server \
     or test_stack_overflow \
     or test_pause_while_spilling \
     or test_digests \
     or test_dashboard_host \
     or test_runspec_regression_sync \
     or test_popen_timeout \
     or test_runspec_regression_sync \
     or test_client_async_before_loop_starts \
     or test_plugin_internal_exception \
     or test_client_async_before_loop_starts \
     or test_web_preload \
     or test_web_preload_worker \
     or test_bandwidth_clear \
     or test_include_communication_in_occupancy \
     or test_worker_start_exception \
     or test_task_state_instance_are_garbage_collected \
     or test_spillbuffer_oserror \
     or test_release_retry \
     or test_timeout_zero \



export PYBUILD_NAME=distributed
export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
  --ignore=distributed/deploy/utils_test.py \
  --ignore=distributed/utils_test.py \
  --ignore=continuous_integration \
  --ignore=docs \
  --ignore=.github \
  --timeout-method=signal \
  --timeout=300 \
  -m "not (avoid_ci or isinstalled or slow)" -k "not ( $(SKIP) )"

export NEEDED_JS=distributed/http/static/js/anime.js \
                 distributed/http/static/js/reconnecting-websocket.js
DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	rm -f distributed/comm/tests/__init__.py
	set -e; \
	for p in ${NEEDED_JS}; do \
	    uglifyjs -o $$p debian/missing-sources/$$p ; \
	done
	chmod a-x distributed/tests/test_utils_test.py
	dh_auto_build
#	ln -s /usr/share/javascript/mathjax docs/source/_static
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html # HTML generator
	rm -rf build/html/_static/__pycache__
endif
	dh_fixperms

override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_install:
	dh_install
	dh_installchangelogs docs/source/changelog.rst

override_dh_auto_install:
	dh_auto_install
	dh_link
	find debian/ -name *.ico -exec chmod a-x {} \;
	rm -rf debian/python3-distributed/usr/lib/python3*/dist-packages/dask-worker-space debian/python3-distributed/usr/lib/python3*/dist-packages/core debian/python3-distributed/usr/lib/python3*/dist-packages/test_cluster_dump

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
else
	echo "Not running tests"
endif

override_dh_auto_clean:
	touch distributed/comm/tests/__init__.py
	dh_auto_clean
	-rm $(NEEDED_JS)
	-chmod 755 distributed/tests/test_utils_test.py

=== debian/tests/control ===
Tests: run-tests
Restrictions: needs-internet, flaky
Depends: @,
 iputils-ping,
 python3-aiohttp,
 python3-cryptography,
 python3-dill,
 python3-h5py,
 python3-ipykernel,
 python3-ipython,
# python3-ipywidgets,
 python3-joblib,
 python3-jupyter-client,
 python3-jupyter-server,
# keras imports theanos which fails
#  theano/scalar/basic.py(2370)<module>() -> convert_to_bool = Cast(bool, name='convert_to_bool')
#  theano/scalar/basic.py(2323)__init__() -> self.ctor = getattr(np, o_type.dtype)
#  numpy/__init__.py(284)__getattr__() -> raise AttributeError("module {!r} has no attribute np.bool")
# python3-keras,
 python3-lz4,
 python3-mock,
 python3-matplotlib,
 python3-netcdf4,
 python3-pandas,
 python3-paramiko,
 python3-pytest,
 python3-pytest-rerunfailures,
 python3-pytest-timeout,
 python3-requests,
 python3-scipy,
 python3-sklearn,
 python3-tblib,

## dask.distributed 2023.8.0+ds.1

=== debian/changelog ===
dask.distributed (2023.8.0+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Upstream stopped embeding versioneer.
    - Remove reproducible-version.patch
    - Add python3-versioneer build dependency
    - add pybuild-plugin-pyproject.toml
  * Update use-local-intersphinx-inventory to skip numpy & bokeh docs
  * Update mark-tests-require-installation.patch to declare isinstalled
    as a valid pytest mark
  * Add skip-coverage-test.patch to not pass --cov-config=pyproject.toml
    to pytest. It didn't work on Debian at this time.
  * Update skip-pyarrow-tests.patch with new tests to skip.
  * Add tzdata-legacy to allow using deprecated timezones in tests
  * copy pyproject.toml instead of setup.cfg in autopkgtests
  * Update list of tests that have problems during build and autopkgtests
  * Update required dask version to >= 2023.8.0

 -- Diane Trout <diane@ghic.org>  Thu, 10 Aug 2023 19:11:53 -0700

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               pybuild-plugin-pyproject,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
                python3-cryptography <!nocheck>,
-               python3-dask (>= 2022.12.1),
+               python3-dask (>= 2023.8.0),
                python3-doc <!nodoc>,
                python3-jupyter-server <!nocheck>,
                python3-locket,
@@ -32,8 +33,10 @@
                python3-tblib,
                python3-toolz (>= 0.8.2),
                python3-tornado (>= 5),
+               python3-versioneer,
                python3-yaml,
                python3-zict (>= 0.1.3),
+               tzdata-legacy,
                uglifyjs,
 Standards-Version: 4.6.2
 Homepage: https://distributed.readthedocs.io/en/latest/

=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,6 @@
 #!/usr/bin/make -f
 
-SKIP=test_reconnect \
-     or test_jupyter_server \
-     or test_stack_overflow \
-     or test_pause_while_spilling \
-     or test_digests \
-     or test_dashboard_host \
-     or test_runspec_regression_sync \
-     or test_popen_timeout \
-     or test_runspec_regression_sync \
-     or test_client_async_before_loop_starts \
-     or test_plugin_internal_exception \
-     or test_client_async_before_loop_starts \
-     or test_web_preload \
-     or test_web_preload_worker \
-     or test_bandwidth_clear \
-     or test_include_communication_in_occupancy \
-     or test_worker_start_exception \
-     or test_task_state_instance_are_garbage_collected \
-     or test_spillbuffer_oserror \
-     or test_release_retry \
-     or test_timeout_zero \
-
-
+SKIP=test_git_revision or test_jupyter_idle_timeout_returned
 
 export PYBUILD_NAME=distributed
 export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \

=== debian/tests/control ===
--- 
+++ 
@@ -30,3 +30,4 @@
  python3-scipy,
  python3-sklearn,
  python3-tblib,
+ tzdata-legacy,

## dask.distributed 2023.12.1%2Bds

=== docs/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,5 @@
 sphinx
 dask-sphinx-theme>=3.0.0
 sphinx-click
+memray
+sphinx_design

## dask.distributed 2023.12.1+ds

=== debian/changelog ===
dask.distributed (2023.12.1+ds-4) unstable; urgency=medium

  * Depend on libjs-sortable-tablesort at build to get vendored JS code

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Jan 2024 08:55:52 +0000

dask.distributed (2023.12.1+ds-3) unstable; urgency=medium

  * Remove redundant broken link (closes: #988675)
  * This (or an earlier) version of dask.distributed has also closed old
    bugs (closes: #904944, #905540, #995735)

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Jan 2024 07:13:17 +0000

dask.distributed (2023.12.1+ds-2) unstable; urgency=medium

  * Fix filenames of minified JavaScript files
  * Fix test_pandas test

 -- Julian Gilbey <jdg@debian.org>  Wed, 03 Jan 2024 18:27:59 +0000

dask.distributed (2023.12.1+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2023.12.1+ds (needed to pass tests with Python 3.12)
  * Refresh patches
  * Fix sphinx config error (closes: #1057950)
  * Skip some failing tests (test_process_executor_kills_process hangs,
    test_steal_twice and test_client_worker fail)
  * Depend on patched version of jupyter-server for Python 3.12 tests
  * Use vendored copies of libjs-sortable-tablesort files until the
    package is accepted into unstable

 -- Julian Gilbey <jdg@debian.org>  Tue, 02 Jan 2024 22:18:53 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               libjs-sortable-tablesort,
                python3-all,
                pybuild-plugin-pyproject,
                python3-click (>= 6.6),
                python3-cloudpickle (>= 1.5.0),
                python3-cryptography <!nocheck>,
-               python3-dask (>= 2023.8.0),
+               python3-dask (>= 2023.12.1),
                python3-doc <!nodoc>,
-               python3-jupyter-server <!nocheck>,
+               python3-jupyter-server (>= 1.23.3-2) <!nocheck>,
                python3-locket,
                python3-msgpack,
                python3-numpy <!nocheck>,
@@ -30,12 +31,13 @@
                python3-sphinx,
                python3-sphinx-click,
                python3-dask-sphinx-theme <!nodoc>,
+               python3-sphinx-design <!nodoc>,
                python3-tblib,
                python3-toolz (>= 0.8.2),
                python3-tornado (>= 5),
                python3-versioneer,
                python3-yaml,
-               python3-zict (>= 0.1.3),
+               python3-zict (>= 3.0.0),
                tzdata-legacy,
                uglifyjs,
 Standards-Version: 4.6.2
@@ -48,7 +50,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-dask (>= 2022.12.1)
+         python3-dask (>= 2023.12.1)
 Recommends: python3-pandas, python3-yaml
 Description: Dask Distributed computing for Python 3
  Dask.distributed is a lightweight library for distributed computing in

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-SKIP=test_git_revision or test_jupyter_idle_timeout_returned
+SKIP=test_git_revision or test_jupyter_idle_timeout_returned or test_process_executor_kills_process or test_steal_twice or test_client_worker
 
 export PYBUILD_NAME=distributed
 export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
@@ -13,8 +13,8 @@
   --timeout=300 \
   -m "not (avoid_ci or isinstalled or slow)" -k "not ( $(SKIP) )"
 
-export NEEDED_JS=distributed/http/static/js/anime.js \
-                 distributed/http/static/js/reconnecting-websocket.js
+export NEEDED_JS=distributed/http/static/js/anime.min.js \
+                 distributed/http/static/js/reconnecting-websocket.min.js
 DEB_BUILD_OPTIONS += $(filter nodoc,$(DEB_BUILD_PROFILES))
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -25,8 +25,10 @@
 	rm -f distributed/comm/tests/__init__.py
 	set -e; \
 	for p in ${NEEDED_JS}; do \
-	    uglifyjs -o $$p debian/missing-sources/$$p ; \
+	    uglifyjs -o $$p debian/missing-sources/$${p%.min.js}.js ; \
 	done
+	cp /usr/share/javascript/sortable-tablesort/sortable.min.js distributed/http/static/js
+	cp /usr/share/javascript/sortable-tablesort/sortable.min.css* distributed/http/static/css
 	chmod a-x distributed/tests/test_utils_test.py
 	dh_auto_build
 #	ln -s /usr/share/javascript/mathjax docs/source/_static

=== debian/tests/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
 # python3-ipywidgets,
  python3-joblib,
  python3-jupyter-client,
- python3-jupyter-server,
+ python3-jupyter-server (>= 1.23.3-2),
 # keras imports theanos which fails
 #  theano/scalar/basic.py(2370)<module>() -> convert_to_bool = Cast(bool, name='convert_to_bool')
 #  theano/scalar/basic.py(2323)__init__() -> self.ctor = getattr(np, o_type.dtype)
 #  numpy/__init__.py(284)__getattr__() -> raise AttributeError("module {!r} has no attribute np.bool")
 # python3-keras,
  python3-lz4,
- python3-mock,
  python3-matplotlib,
  python3-netcdf4,
  python3-pandas,

## dask.distributed 2024.5.2+ds.1

=== debian/changelog ===
dask.distributed (2024.5.2+ds.1-2~deepin1) UNRELEASED; urgency=medium

  * nocheck, nodoc

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 21 Jun 2024 16:14:41 +0800

dask.distributed (2024.5.2+ds.1-2) unstable; urgency=medium

  * Team upload.
  * mark-tests-flaky.patch: capture more flaky tests.
  * d/control: hardcode python3-dask version lock.
    There is a small difference in repack extension preventing the trick.
  * d/s/lintian-overrides: remove: now unneeded.
  * skip-pyarrow-tests.patch: skip newly introduced test.
  * d/rules: rewrap SKIP variable to facilitate readability.
  * d/rules: skip tests needing Internet. (Closes: #1066799)
  * d/{control,rules}: activate autopkgtest-pkg-pybuild.
    This test complements the existing flaky autopkgtest test that
    requires a testbed with Internet connection.
  * d/t/run-tests: skip test failing reported upstream.
    On python3.12, some failures to serialize may return RecursionErrors
    instead of the expected TypeError and its message "Could not serialize
    object" until this minor issue is resolved.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jun 2024 21:21:07 +0200

dask.distributed (2024.5.2+ds.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove obsolete python3-six build-dep

  [ Étienne Mollier ]
  * New upstream version 2024.5.2+ds.1
  * skip-pyarrow-tests.patch: refresh.
  * adjust-timeouts.patch: refresh.
  * fix-pandas-test.patch: delete: applied upstream.
  * Unfuzz patches.
  * d/{rules,t/run-tests}: workaround test failures.
    The test failures are caused by FutureWarning raised on dask.dataframe
    import, which would be solved by making dask_expr module available,
    but it is not part of Debian yet.  Setting configuration option
    "dataframe.query-planning" to False bypasses both the dask_expr import
    attempt and the subsequent FutureWarning.
  * d/README.source: new.
    Document that dask and dask.distributed must be kept synchronized.
  * use-youtube-nocookie.patch: adjust another video.
  * d/control: python-distributed-doc depends on sass-stylesheets-bulma.
  * fix-privacy-breaches.patch: new: use Debian provided CSS file.
  * d/t/control: tests depend on python3-all.
    Ensure py3versions --supported can capture all interpreters indeed.
  * d/copyright: remove unused Unlicense paragraph.
  * d/rules: cleanup spurious license text tripping lintian.
  * d/{control,s/lintian-overrides}: force dask coupling.
    dask and dask.distributed need being upgraded in lockstep.  To limit
    multiple copies of the current dask.distributed version in d/control,
    ${source:Version} is used for the binary package dependency (it is not
    usable for the source package build dependency), but since it is not
    normal to couple a source package version to another source package,
    the change also requires a lintian override.
    Thanks to Julian Gilbey <jdg@debian.org>
  * mark-tests-flaky.patch: declare test_collections_metadata flaky too.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Jun 2024 18:45:33 +0200

=== debian/control ===
Source: dask.distributed
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libjs-sortable-tablesort,
               python3-all,
               pybuild-plugin-pyproject,
               python3-click (>= 6.6),
               python3-cloudpickle (>= 1.5.0),
# dask.distributed has tight version coupling with dask.  Please read
# the mail thread on debian-python@lists.debian.org[1] for more context,
# and notably [2].
# [1]: https://lists.debian.org/debian-python/2024/06/msg00047.html
# [2]: https://lists.debian.org/debian-python/2024/06/msg00051.html
               python3-dask (>= 2024.5.2),
               python3-dask (<< 2024.5.2.1~),
               python3-locket,
               python3-msgpack,
               python3-numpydoc,
               python3-psutil,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytest-timeout,
               python3-setuptools,
               python3-sortedcollections,
               python3-sphinx,
               python3-sphinx-click,
               python3-tblib,
               python3-toolz (>= 0.8.2),
               python3-tornado (>= 5),
               python3-versioneer,
               python3-yaml,
               python3-zict (>= 3.0.0),
               tzdata-legacy,
               uglifyjs,
Standards-Version: 4.7.0
Homepage: https://distributed.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/dask.distributed.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dask.distributed
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-distributed
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-dask (>= 2024.5.2),
         python3-dask (<< 2024.5.2.1~),
Recommends: python3-pandas, python3-yaml
Description: Dask Distributed computing for Python 3
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the Python 3 version

Package: python-distributed-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
         sass-stylesheets-bulma
Description: Dask Distributed computing documentation
 Dask.distributed is a lightweight library for distributed computing in
 Python. It extends both the concurrent.futures and dask APIs to
 moderate sized clusters.
 .
 This contains the documentation

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,105 @@
 #!/usr/bin/make -f
 
-SKIP=test_git_revision or test_jupyter_idle_timeout_returned or test_process_executor_kills_process or test_steal_twice or test_client_worker
+SKIP=test_git_revision \
+  or test_jupyter_idle_timeout_returned \
+  or test_process_executor_kills_process \
+  or test_steal_twice or test_client_worker
+
+# These tests need an Internet access to pass properly.  Please use
+# build environment that properly hides the host's network card to
+# capture newer such tests (e.g. chroot mode "unshare" or lxc).
+NET_SKIP=test_BatchedSend \
+  or test_send_before_start \
+  or test_send_after_stream_start \
+  or test_send_before_close \
+  or test_close_closed \
+  or test_close_twice \
+  or test_sending_traffic_jam \
+  or test_serializers \
+  or test_repr_localcluster \
+  or test_rebalance_sync \
+  or test_quiet_client_close \
+  or test_dashboard_link_inproc \
+  or test_mixing_clients_different_scheduler \
+  or test_file_descriptors_dont_leak \
+  or test_dashboard_link_cluster \
+  or test_shutdown \
+  or test_shutdown_localcluster \
+  or test_shutdown_stops_callbacks \
+  or test_shutdown_is_quiet_with_cluster \
+  or test_client_is_quiet_cluster_close \
+  or test_async_with \
+  or test_security_loader \
+  or test_security_loader_ignored_if_explicit_security_provided \
+  or test_security_loader_ignored_if_returns_none \
+  or test_close_loop_sync_start_new_loop \
+  or test_close_loop_sync_use_running_loop \
+  or test_server \
+  or test_server_raises_on_blocked_handlers \
+  or test_rpc_default \
+  or test_rpc_tcp \
+  or test_rpc_tls \
+  or test_rpc_inproc \
+  or test_rpc_message_lifetime_default \
+  or test_rpc_message_lifetime_tcp \
+  or test_rpc_message_lifetime_inproc \
+  or test_rpc_with_many_connections_tcp \
+  or test_rpc_with_many_connections_inproc \
+  or test_large_packets_inproc \
+  or test_identity_tcp \
+  or test_identity_inproc \
+  or test_ports \
+  or test_errors \
+  or test_send_recv_args \
+  or test_send_recv_cancelled \
+  or test_connection_pool \
+  or test_connection_pool_close_while_connecting \
+  or test_connection_pool_outside_cancellation \
+  or test_connection_pool_respects_limit \
+  or test_connection_pool_tls \
+  or test_connection_pool_remove \
+  or test_counters \
+  or test_compression \
+  or test_rpc_serialization \
+  or test_deserialize_error \
+  or test_connection_pool_detects_remote_close \
+  or test_close_properly \
+  or test_server_comms_mark_active_handlers \
+  or test_close_fast_without_active_handlers \
+  or test_close_grace_period_for_handlers \
+  or test_messages_are_ordered_bsend \
+  or test_messages_are_ordered_raw \
+  or test_jupyter_server \
+  or test_jupyter_idle_timeout \
+  or test_worker_uses_same_host_as_nanny \
+  or test_scheduler_file \
+  or test_worker_preload_text \
+  or test_preload_manager_sequence \
+  or test_preload_import_time \
+  or test_failure_doesnt_crash_scheduler \
+  or test_scheduler_file \
+  or test_dashboard_host \
+  or test_async_context_manager \
+  or test_allowed_failures_config \
+  or test_finished \
+  or test_no_dangling_asyncio_tasks \
+  or test_multiple_listeners \
+  or test_tls_listen_connect \
+  or test_require_encryption \
+  or test_tls_temporary_credentials_functional \
+  or test_threadpoolworkers_pick_correct_ioloop \
+  or test_security_dict_input_no_security \
+  or test_locked_comm_drop_in_replacement \
+  or test_locked_comm_intercept_read \
+  or test_locked_comm_intercept_write \
+  or test_freeze_batched_send \
+  or test_ensure_no_new_clients \
+  or test_plugin_exception \
+  or test_plugin_multiple_exceptions \
+  or test_plugin_internal_exception \
+  or test_scheduler_file \
+  or test_host_uses_scheduler_protocol \
+  or test_dont_override_default_get
 
 export PYBUILD_NAME=distributed
 export PYBUILD_TEST_ARGS=$(CURDIR)/distributed/tests -v \
@@ -11,7 +110,17 @@
   --ignore=.github \
   --timeout-method=signal \
   --timeout=300 \
-  -m "not (avoid_ci or isinstalled or slow)" -k "not ( $(SKIP) )"
+  -m "not (avoid_ci or isinstalled or slow)" \
+  -k "not ( $(SKIP) or $(NET_SKIP) )"
+
+# FIXME: several tests are tripping on the missing dask_expr raising
+# FutureWarnings on dask.dataframe module import.  Setting configuration
+# option "dataframe.query-planning" to False will not raise such
+# warning, but the way forward would probably be to package dask_expr.
+export PYBUILD_BEFORE_TEST=\
+  mkdir -pv {home_dir}/.config/ \
+  && printf '\173 "dataframe": \173 "query-planning": False \175 \175\n' \
+     > {home_dir}/.config/dask
 
 export NEEDED_JS=distributed/http/static/js/anime.min.js \
                  distributed/http/static/js/reconnecting-websocket.min.js
@@ -51,6 +160,9 @@
 	find debian/ -name *.ico -exec chmod a-x {} \;
 	rm -rf debian/python3-distributed/usr/lib/python3*/dist-packages/dask-worker-space debian/python3-distributed/usr/lib/python3*/dist-packages/core debian/python3-distributed/usr/lib/python3*/dist-packages/test_cluster_dump
 
+execute_after_dh_installdocs:
+	rm -vf debian/python-distributed-doc/usr/share/doc/python-distributed-doc/html/_static/vendor/fontawesome/*/LICENSE.txt
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
@@ -63,3 +175,10 @@
 	dh_auto_clean
 	-rm $(NEEDED_JS)
 	-chmod 755 distributed/tests/test_utils_test.py
+
+before-pybuild-autopkgtest:
+	# Copy some test resources missing in autopkgtest-pkg-pybuild context.
+	mkdir -pv ../../autopkgtest_tmp/build/
+	cp -rv distributed/tests/testegg-*-py*.egg \
+		distributed/tests/mytest.pyz \
+		../../autopkgtest_tmp/build/

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-tests
 Restrictions: needs-internet, flaky
 Depends: @,
+ python3-all,
  iputils-ping,
  python3-aiohttp,
  python3-cryptography,

## dask.distributed 2024.12.1%2Bds

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = -j4
+SPHINXOPTS    = -j4 -W --keep-going
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
